%define _disable_ld_no_undefined 1

%define major	4
%define abi		4.0
%define libname	%mklibname unity-core	%{major}
%define develname	%mklibname unity-core	-d

Summary:	A desktop experience designed for efficiency of space and interaction
Name:		unity
Version:	4.24.0
Release:	2
License:	GPLv3 LGPLv3
Url:		http://launchpad.net/unity
Group:		Graphical desktop/Other
Source0:	%{name}-%{version}.tar.bz2
Patch0:		unity-4.16.0-disable-tests.patch
Patch1:		unity-4.16.0-libdir-hack.patch
# glib gthread deprecated
Patch2:		unity-4.24.0_gthread_deprecated.patch
Patch3:		unity-4.24.0_linking.patch
BuildRequires:	cmake
BuildRequires:	vala
BuildRequires:	xsltproc
BuildRequires:	boost-devel
BuildRequires:	compiz-devel
BuildRequires:	gmock-devel
BuildRequires:	vala-devel
BuildRequires:	pkgconfig(clutter-1.0)
BuildRequires:	pkgconfig(dbusmenu-glib-0.4)
BuildRequires:	pkgconfig(dee-1.0)
BuildRequires:	pkgconfig(gconf-2.0)
BuildRequires:	pkgconfig(gee-1.0)
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(gsettings-desktop-schemas)
BuildRequires:	pkgconfig(indicator3-0.4)
BuildRequires:	pkgconfig(libbamf3)
BuildRequires:	pkgconfig(libcompizconfig)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libutouch-geis)
BuildRequires:	pkgconfig(nux-1.0)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(unique-1.0)
BuildRequires:	pkgconfig(unity)
BuildRequires:	pkgconfig(unity-misc)
BuildRequires:	pkgconfig(utouch-grail)
BuildRequires:	compiz-plugins-main-devel

Requires:	compiz >= 0.9.2.1
#Requires:	compizconfig-settings-manager >= 0.9.2.1

#-- Indicators (suggested/available)
#Suggests:	indicator-appmenu
#Suggests:	indicator-application
#Suggests:	indicator-datetime
#Suggests:	indicator-me
#Suggests:	indicator-messages
#Suggests:	indicator-session
#Suggests:	indicator-sound
#-- Lens packages (available)
#Suggests:	unity-lens-applications
#Suggests:	unity-lens-files
#-- Unity requiresments
#Suggests:	unity-asset-pool

Requires:	%{libname} = %{version}-%{release}
Requires:	%{name}-common = %{version}-%{release}

%description
Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
community, Unity is all about the combination of familiarity and the future. We
bring together the visual design, analysis of experience testing, modern
graphics technologies and a deep understanding of the free software landscape,

%package common
Summary:	Common files for the Unity interface
Group:		Graphical desktop/Other
BuildArch:	noarch

%description common
Common files for the Unity interface.

%package services
Summary:	Services for the Unity interface
Group:		Graphical desktop/Other

%description services
Services for the Unity interface

%package -n %{libname}
Summary:	Core shared library of the Unity Desktop
Group:		System/Libraries

%description -n %{libname}
Unity is a desktop experience that sings. Designed by Canonical and the Ayatana
community, Unity is all about the combination of familiarity and the future. We
bring together the visual design, analysis of experience testing, modern
graphics technologies and a deep understanding of the free software landscape,

This package provides the shared core libraries for the Unity Desktop.

%package -n %{develname}
Summary:	Development files of the Unity Desktop
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Development files for Unity and libunity-core

%prep
%setup -q
%apply_patches

%build
%cmake \
  -DCOMPIZ_BUILD_WITH_RPATH=FALSE \
  -DCOMPIZ_PACKAGING_ENABLED=ON \
  -DCOMPIZ_PLUGIN_INSTALL_TYPE=package \
  -DCOMPIZ_INSTALL_GCONF_SCHEMA_DIR=%{_sysconfdir}/gconf/schemas \
  -DGSETTINGS_LOCALINSTALL=OFF
%make

%install
%makeinstall_std -C build

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/unity
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/unitymtgrabhandles/
%{_mandir}/man1/unity.1*

%files common
%doc README COPYING COPYING.LGPL
%dir %{_prefix}/lib/unity
%dir %{_datadir}/unity
%dir %{_datadir}/unity/themes
%{_prefix}/lib/unity/*.py
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/unity/4/
%{_datadir}/ccsm/
%{_datadir}/unity/themes/dash-widgets.json

%files services
%{_prefix}/lib/unity/unity-panel-service
%{_datadir}/dbus-1/services/com.canonical.Unity.Panel.Service.service
%{_mandir}/man1/unity-panel-service*.1*

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_includedir}/Unity-%{abi}/
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc



%changelog
* Tue Jan 24 2012 Matthew Dawkins <mattydaw@mandriva.org> 4.24.0-2
+ Revision: 768056
- adding patch for linking
- fixed groups
- fixed linking for gmodule-2.0
- imported package unity


* Tue Nov 01 2011 Matthew Dawkins <mdawkins@unity-linux.org> 4.24.0-1-unity2011
- new version 4.24.0

